
package jp.riken.brain.ni.samuraigraph.base;


/**
 *
 */
public interface SGITimingLineElement extends SGIFigureElement
{

	
	public static final String TAG_NAME_TIMING_LINES = "TimingLines";


	/**
	 * 
	 * @param element
	 */
	public void setAxisElement( final SGIAxisElement element );


	/**
	 * 
	 */
	public boolean addTimingLine( final int x, final int y );


	/**
	 * 
	 * @param x
	 * @param y
	 */
	public void guideToAdd( final int x, final int y );

}

